##
## $Id: Makefile.am,v 1.2 2001-09-27 12:02:03 chris Exp $
##

AUTOMAKE_OPTIONS = foreign 1.4 no-installman

SUBDIRS = PSD.doc

LIBNAME = librpc
LIB = $(ARCH)/$(LIBNAME).a

C_FILES = auth_none.c auth_unix.c authunix_prot.c bindresvport.c \
    clnt_generic.c clnt_perror.c clnt_raw.c clnt_simple.c clnt_tcp.c \
    clnt_udp.c get_myaddress.c getrpcent.c getrpcport.c netname.c netnamer.c \
    pmap_clnt.c pmap_getmaps.c pmap_getport.c pmap_prot.c pmap_prot2.c \
    pmap_rmt.c rpc_callmsg.c rpc_commondata.c rpc_dtablesize.c rpc_prot.c \
    rpcdname.c rtime.c svc.c svc_auth.c svc_auth_unix.c svc_raw.c svc_run.c \
    svc_simple.c svc_tcp.c svc_udp.c rtems_portmapper.c rtems_rpc.c
UNUSED_C_FILES = auth_des.c auth_time.c authdes_prot.c clnt_unix.c \
    crypt_client.c des_crypt.c des_soft.c getpublickey.c key_call.c \
    key_prot_xdr.c svc_auth_des.c svc_unix.c

C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)

OBJS = $(C_O_FILES)

include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
include $(top_srcdir)/../../../automake/lib.am

TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a

#
# Add local stuff here using +=
#

AM_CPPFLAGS += '-D__P(x)=x' -D_read=read -D_write=write -D_close=close -D_RTEMS_RPC_INTERNAL_

$(LIB): $(OBJS)
	$(make-library)

$(PROJECT_RELEASE)/lib/$(LIBNAME)$(LIB_VARIANT).a: $(LIB)
	$(INSTALL_DATA) $< $@

noinst_MANS = bindresvport.3 getrpcent.3 publickey.3 rpc.3 rpc_secure.3 \
    rstat_svc.8 des_crypt.3 getrpcport.3 publickey.5 rpc.5 rstat.1 rtime.3

if HAS_NETWORKING
man_MANS = $(noinst_MANS)
all-local: $(ARCH) $(OBJS) $(TMPINSTALL_FILES)
endif

.PRECIOUS: $(LIB)

EXTRA_DIST = $(C_FILES) DISCLAIMER $(UNUSED_C_FILES) $(noinst_MANS)

include $(top_srcdir)/../../../automake/subdirs.am
include $(top_srcdir)/../../../automake/local.am
